Change default information of fields at Parameters tab and errors found
Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 2.0 Spent time: 0.00 hour

Description

See attached fields that should be changed.

- Reference date keep displaying today's date;

- Lead time change to display as zero;

- Forecasting period change to display blank (both dates);

- Months of buffer change to display as zero;

- Minimum and maximum months of stock keep displaying as zero;

- Create specific warning messages when user try to save/execute forecasting with the following fields displaying default data: Lead

time, Forecasting period, Months of buffer, Minimum and maximum months of stock (this message already exists).

History

#1 - 08/24/2013 09:23 AM - Oleksii Kurasov

- Due date set to 08/27/2013

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#2 - 08/27/2013 12:47 PM - Luis Gustavo do Valle Bastos

- File Capture 1.JPG added

- File Capture 2.JPG added

- File Capture 3.JPG added

- File Capture 4.JPG added

- File Capture 5.JPG added

- Tracker changed from Feature to Bug

- Subject changed from Change default information of fields at Parameters tab to Change default information of fields at Parameters tab and errors

found

- Status changed from Resolved to Feedback

Regarding the specific messages:

- When forecasting period is let blank and click save: change the message "Initial date cannot be equal to or later than the final date, and initial date

cannot be before the reference date" by "The initial and final dates of the forecasting period must be entered".

- When the final date of the forecasting period is before the initial date, the system display the exception message attached. When click OK on this

message, the related warning message is displayed behind. See attached 1.

- Change the message "Finish date of the forecasting period cannot be earlier than the start date of the forecasting period.." by "Final date of the

forecasting period cannot be earlier than the start date of the forecasting period."

- Change the message "Minimum months of stock or/and Maximum months of stock can't be 0" by "Minimum months of stock and maximum months

of stock cannot be zero"

- Change the message "Maximum stock in months can't be less than the Minimum stock" by "Minimum months of stock cannot be higher than
maximum months of stock"

- When erase the reference date letting blank and entering the initial date of the forecasting period, the system display the exception message as

attached 2.

- After clicking OK for the message described above, entering the final date of the forecasting period and clicking save, the system display the

message as attached 3. But the reference date that was erased was Aug 27, 2013,so the forecasting dates are after that.

- After clicking OK for the message described above, I entered the Aug 27, 2013 for the reference date and clicked save and the exception message

as attached 4 and 5 was displayed.

#3 - 08/28/2013 11:35 AM - Oleksii Kurasov

- Due date changed from 08/27/2013 to 08/29/2013

- Status changed from Feedback to Resolved

#4 - 09/17/2013 06:57 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.
